Axis 360 - Kindle Fire Device Compatibility
Reset Search
 
HOME

 

Kindle Fire Device Compatibility

This page contains links to all documentation regarding installing Axis 360 on your Kindle Fire device.

The Axis 360 mobile app is currently available for installation in the Amazon App Store for 4th generation and up Kindle Fire tablets.


Do you have a 4th-generation and up Kindle Fire HD or HDX? You can install directly from the Amazon App Store on your Kindle tablet with some of these devices! Please note that audiobooks may not play on older 3rd generation Kindle Fire devices. See the downloadable compatibility matrix to verify if your specific device works with Axis 360.

Do you have an e-ink Kindle, or a 1st, 2nd, or 3rd Generation Kindle Fire? Unfortunately, Axis 360 is not compatible with these devices.

Not sure which Kindle Fire tablet you have? See the below chart. You can click on the link below the image for a larger, printable version. 

image of kindle compatibility matrix